| Flutter Impeller |

Public Member Functions | Protected Member Functions | List of all members
impeller::StrokeDashedLineGeometry Class Referencefinal

A Geometry that produces fillable vertices representing the stroked outline of a |DlPath| object using the |StrokePathSourceGeometry| base class and a |DlPath| object to perform path iteration. More...

`#include <stroke_path_geometry.h>`

Inheritance diagram for impeller::StrokeDashedLineGeometry:

## Public Member Functions
| StrokeDashedLineGeometry (Point p0, Point p1, Scalar on_length, Scalar off_length, const StrokeParameters &parameters)
Public Member Functions inherited from impeller::StrokeSegmentsGeometry
| ~StrokeSegmentsGeometry () override
Scalar | GetStrokeWidth () const
Scalar | GetMiterLimit () const
Cap | GetStrokeCap () const
Join | GetStrokeJoin () const
Scalar | ComputeAlphaCoverage (const Matrix &transform) const override
Public Member Functions inherited from impeller::Geometry
virtual | ~Geometry ()
virtual bool | CoversArea (const Matrix &transform, const Rect &rect) const
| Determines if this geometry, transformed by the given `transform`, will completely cover all surface area of the given `rect`. More...
virtual bool | IsAxisAlignedRect () const
virtual bool | CanApplyMaskFilter () const

## Protected Member Functions
const PathSource & | GetSource () const override
Protected Member Functions inherited from impeller::StrokePathSourceGeometry
| StrokePathSourceGeometry (const StrokeParameters &parameters)
std::optional< Rect > | GetCoverage (const Matrix &transform) const override
void | Dispatch (PathAndArcSegmentReceiver &receiver, Tessellator &tessellator, Scalar scale) const override
Protected Member Functions inherited from impeller::StrokeSegmentsGeometry
| StrokeSegmentsGeometry (const StrokeParameters &parameters)
std::optional< Rect > | GetStrokeCoverage (const Matrix &transform, const Rect &segment_bounds) const

## Additional Inherited Members
Static Public Member Functions inherited from impeller::Geometry
static std::unique_ptr< Geometry > | MakeFillPath (const flutter::DlPath &path, std::optional< Rect > inner_rect=std::nullopt)
static std::unique_ptr< Geometry > | MakeStrokePath (const flutter::DlPath &path, const StrokeParameters &stroke={})
static std::unique_ptr< Geometry > | MakeCover ()
static std::unique_ptr< Geometry > | MakeRect (const Rect &rect)
static std::unique_ptr< Geometry > | MakeOval (const Rect &rect)
static std::unique_ptr< Geometry > | MakeLine (const Point &p0, const Point &p1, const StrokeParameters &stroke)
static std::unique_ptr< Geometry > | MakeCircle (const Point &center, Scalar radius)
static std::unique_ptr< Geometry > | MakeStrokedCircle (const Point &center, Scalar radius, Scalar stroke_width)
static std::unique_ptr< Geometry > | MakeFilledArc (const Rect &oval_bounds, Degrees start, Degrees sweep, bool include_center)
static std::unique_ptr< Geometry > | MakeStrokedArc (const Rect &oval_bounds, Degrees start, Degrees sweep, const StrokeParameters &stroke)
static std::unique_ptr< Geometry > | MakeRoundRect (const Rect &rect, const Size &radii)
static std::unique_ptr< Geometry > | MakeRoundSuperellipse (const Rect &rect, Scalar corner_radius)
static Scalar | ComputeStrokeAlphaCoverage (const Matrix &entity, Scalar stroke_width)
| Compute an alpha value to simulate lower coverage of fractional pixel strokes. More...
static GeometryResult | ComputePositionGeometry (const ContentContext &renderer, const Tessellator::VertexGenerator &generator, const Entity &entity, RenderPass &pass)

## Detailed Description

A Geometry that produces fillable vertices representing the stroked outline of a |DlPath| object using the |StrokePathSourceGeometry| base class and a |DlPath| object to perform path iteration.

Definition at line 170 of file stroke_path_geometry.h.

## Constructor & Destructor Documentation

## ◆ StrokeDashedLineGeometry()

impeller::StrokeDashedLineGeometry::StrokeDashedLineGeometry | ( | Point | p0,
|  | Point | p1,
|  | Scalar | on_length,
|  | Scalar | off_length,
|  | const StrokeParameters & | parameters
| ) |  |

Definition at line 904 of file stroke_path_geometry.cc.

910 : StrokePathSourceGeometry(parameters),
911 source_(p0, p1, on_length, off_length) {}
impeller::StrokePathSourceGeometry::StrokePathSourceGeometry
StrokePathSourceGeometry(const StrokeParameters &parameters)
Definition: stroke_path_geometry.cc:839

## Member Function Documentation

## ◆ GetSource()

const PathSource & impeller::StrokeDashedLineGeometry::GetSource | ( |  | ) | const
| override protected virtual

The PathSource object that will be iterated to produce the raw vertices to be stroked.

Implements impeller::StrokePathSourceGeometry.

Definition at line 913 of file stroke_path_geometry.cc.

913 {
914 return source_;
915 }

The documentation for this class was generated from the following files:

- impeller/entity/geometry/stroke_path_geometry.h
- impeller/entity/geometry/stroke_path_geometry.cc